/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Interfaces.h"


namespace morpheo              {
namespace behavioural          {


#undef  FUNCTION
#define FUNCTION "Interfaces::operator<<"
  ostream& operator<< (ostream& output_stream ,
		       morpheo::behavioural::Interfaces & x)
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");
    output_stream << x.get_interface () << endl;
    log_printf(FUNC,Behavioural,FUNCTION,"End");
    return output_stream;
  };

}; // end namespace behavioural          
}; // end namespace morpheo              
